TransactionVerificationException.TransactionNotaryMismatchEncumbranceException
Keywords: net.corda.core.contracts.TransactionVerificationException.TransactionNotaryMismatchEncumbranceException class
Date: 2023-09-18

net.corda.core.contracts

## Class TransactionVerificationException.TransactionNotaryMismatchEncumbranceException

- Enclosing class:
    TransactionVerificationException

      public static class TransactionVerificationException.TransactionNotaryMismatchEncumbranceException

  All encumbered states should be assigned to the same notary. This is due to the fact that multi-notary transactions are not supported and thus two encumbered states with different notaries cannot be consumed in the same transaction.

- - ### Constructor Detail

    - #### TransactionNotaryMismatchEncumbranceException

          public TransactionNotaryMismatchEncumbranceException(@NotNull
                                                               SecureHash txId,
                                                               @NotNull
                                                               java.lang.String message)

      All encumbered states should be assigned to the same notary. This is due to the fact that multi-notary transactions are not supported and thus two encumbered states with different notaries cannot be consumed in the same transaction.

    - #### TransactionNotaryMismatchEncumbranceException

          public TransactionNotaryMismatchEncumbranceException(@NotNull
                                                               SecureHash txId,
                                                               int encumberedIndex,
                                                               int encumbranceIndex,
                                                               @NotNull
                                                               Party encumberedNotary,
                                                               @NotNull
                                                               Party encumbranceNotary)